package com.qmth.distributed.print.business.bean.params;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: redis生成序列号参数类
 * @Author: CaoZixuan
 * @Date: 2021-04-19
 */
public class SerialNumberParams {

    @ApiModelProperty(value = "序列号所属模块")
    private String model;

    @ApiModelProperty(value = "序列号前缀（序列号模块加前缀作为key）")
    private String prefix;

    @ApiModelProperty(value = "补齐位数")
    private int digit;

    public SerialNumberParams(String model, String prefix, int digit) {
        this.model = model;
        this.prefix = prefix;
        this.digit = digit;
    }

    public SerialNumberParams() {
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getPrefix() {
        return prefix;
    }

    public void setPrefix(String prefix) {
        this.prefix = prefix;
    }

    public int getDigit() {
        return digit;
    }

    public void setDigit(int digit) {
        this.digit = digit;
    }
}
